﻿@model LoggedOutViewModel

@{
	// set this so the layout rendering sees an anonymous user
	ViewData["signed-out"] = true;
}

<div class="logged-out-page">
    <div>
        <h1>
            Logout
        </h1>
        <h3>You are now logged out</h3>
    </div>

	@if (Model.PostLogoutRedirectUri != null)
	{
		<div class="logged-out-page">
            <div>
                <a class="PostLogoutRedirectUri" href="@Model.PostLogoutRedirectUri">Click here</a> to return to the
                <span>@Model.ClientName</span> application.
            </div>
		</div>
	}

	@if (Model.SignOutIframeUrl != null)
	{
		<iframe width="0" height="0" class="signout" src="@Model.SignOutIframeUrl"></iframe>
	}
</div>

@section scripts
{
	@if (Model.AutomaticRedirectAfterSignOut)
	{
		<script src="~/js/signout-redirect.js"></script>
	}
}